import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const dashboard = await client.dashboard.update('6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b');
console.log(dashboard.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
dashboard = client.dashboard.update(
dashboard_id="6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b",
)
print(dashboard.data)curl --request PUT \
--url https://api.roark.ai/v1/dashboard/{dashboardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeRange": {
"type": "CALENDAR_ALIGNED",
"period": "THIS_MONTH"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/dashboard/{dashboardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'timeRange' => [
'type' => 'CALENDAR_ALIGNED',
'period' => 'THIS_MONTH'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/dashboard/{dashboardId}"
payload := strings.NewReader("{\n \"timeRange\": {\n \"type\": \"CALENDAR_ALIGNED\",\n \"period\": \"THIS_MONTH\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.roark.ai/v1/dashboard/{dashboardId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"timeRange\": {\n \"type\": \"CALENDAR_ALIGNED\",\n \"period\": \"THIS_MONTH\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/dashboard/{dashboardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"timeRange\": {\n \"type\": \"CALENDAR_ALIGNED\",\n \"period\": \"THIS_MONTH\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"configManaged": true,
"timeRange": {
"type": "LAST",
"value": 500,
"unit": "DAYS"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"widgets": [
{
"measures": [
{
"type": "METRIC",
"metric": "<string>",
"aggregation": "COUNT",
"percentile": 50,
"distinctBy": "NONE",
"nestedAggregation": "COUNT",
"nestedAggregationPercentile": 50,
"passOperator": "EQUALS",
"passValue": "<string>",
"breakdown": {
"type": "METRIC_PROPERTY",
"property": "<string>"
},
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"isBaseline": true,
"color": "GREEN"
}
],
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"interval": "HOUR",
"comparisonMode": "NONE",
"comparisonGroups": [
{
"name": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"color": "GREEN"
}
],
"description": "<string>",
"display": "LINE",
"size": "SMALL"
}
]
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Update a dashboard
Edits a dashboard. Omitted fields keep their current value. widgets, when sent, replaces the list:
widgets are matched by name, so a widget that keeps its name keeps its id; a new name adds a widget and
a name no longer listed removes it. To change one widget, PUT /v1/dashboard//widget/.
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const dashboard = await client.dashboard.update('6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b');
console.log(dashboard.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
dashboard = client.dashboard.update(
dashboard_id="6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b",
)
print(dashboard.data)curl --request PUT \
--url https://api.roark.ai/v1/dashboard/{dashboardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeRange": {
"type": "CALENDAR_ALIGNED",
"period": "THIS_MONTH"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/dashboard/{dashboardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'timeRange' => [
'type' => 'CALENDAR_ALIGNED',
'period' => 'THIS_MONTH'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/dashboard/{dashboardId}"
payload := strings.NewReader("{\n \"timeRange\": {\n \"type\": \"CALENDAR_ALIGNED\",\n \"period\": \"THIS_MONTH\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.roark.ai/v1/dashboard/{dashboardId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"timeRange\": {\n \"type\": \"CALENDAR_ALIGNED\",\n \"period\": \"THIS_MONTH\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/dashboard/{dashboardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"timeRange\": {\n \"type\": \"CALENDAR_ALIGNED\",\n \"period\": \"THIS_MONTH\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"configManaged": true,
"timeRange": {
"type": "LAST",
"value": 500,
"unit": "DAYS"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"widgets": [
{
"measures": [
{
"type": "METRIC",
"metric": "<string>",
"aggregation": "COUNT",
"percentile": 50,
"distinctBy": "NONE",
"nestedAggregation": "COUNT",
"nestedAggregationPercentile": 50,
"passOperator": "EQUALS",
"passValue": "<string>",
"breakdown": {
"type": "METRIC_PROPERTY",
"property": "<string>"
},
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"isBaseline": true,
"color": "GREEN"
}
],
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"interval": "HOUR",
"comparisonMode": "NONE",
"comparisonGroups": [
{
"name": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"color": "GREEN"
}
],
"description": "<string>",
"display": "LINE",
"size": "SMALL"
}
]
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The dashboard ID
Body
Omitted fields keep their current value. widgets, when sent, replaces the list: widgets are matched by name, so one that keeps its name keeps its id; a new name adds a widget and a missing one removes it.
1 - 2002000The window: LAST n DAYS/WEEKS/MONTHS up to now, a CALENDAR_ALIGNED period (TODAY, YESTERDAY, THIS_WEEK, LAST_WEEK, THIS_MONTH, LAST_MONTH, THIS_YEAR, LAST_YEAR), FIXED from/to, or SINCE a date. At most 731 days (two years).
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
20Show child attributes
Show child attributes
50Show child attributes
Show child attributes
Response
The updated dashboard
Show child attributes
Show child attributes